#broker.id={{ broker_id }}
broker.id.generation.enable=true
listeners=PLAINTEXT://{{ hostvars[inventory_hostname]['ansible_default_ipv4']['address'] }}:9092
log.dirs="{{ kafka_logs }}"
num.network.threads=3
num.io.threads=8
socket.send.buffer.bytes=102400
socket.receive.buffer.bytes=102400
socket.request.max.bytes=104857600
num.partitions=1
num.recovery.threads.per.data.dir=1
log.retention.hours=168
log.segment.bytes=1073741824
log.retention.check.interval.ms=300000
{% set all_zk = [] -%}
{% set zk_hosts = groups.tag_Label_kafkaCluster %}
{% for host in zk_hosts -%}
  {% set zk_ip = hostvars[host].ipv4_address|default(hostvars[host]['ansible_default_ipv4']['address']) -%}
  {% set _ = all_zk.append("%s:%s" % (zk_ip, zk_client_port)) -%}
{% endfor -%}
{% set zk_servers = all_zk | join(',') -%}
zookeeper.connect={{ zk_servers }}
#zookeeper.connect={{ ip1 }}:2181,{{ ip2 }}:2181,{{ ip3 }}:2181
zookeeper.connection.timeout.ms=6000
